Bug 140987 - Overriding of text in rhgb's detailed view
Overriding of text in rhgb's detailed view
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
5
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-27 09:41 EST by Carlos Rodrigues
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:33:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Rodrigues 2004-11-27 09:41:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Some text in the detailed view of rhgb is impossible to read because
it is overridden by other text.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.When booting, click "show details"
2.watch
    

Actual Results:  Some text can't be read, because some other text is
written over it.

For example, it ends up like this:
   "INIT: Entering runlevel: 5quotas  [ OK ]"


Additional info:

This does not occur when booting without rhgb.

This is rhgb-0.16.1-1.FC3
Comment 1 Daniel Veillard 2004-11-27 09:48:50 EST
It's not overriden. The first service started "quota"
shows up on the same line as 
  "INIT: Entering runlevel: 5"
message.
There is no loss of information. This is at best a formatting 
nitpick. Very low priority.

Daniel
Comment 2 Carlos Rodrigues 2004-11-27 11:27:28 EST
I don't agree. If you switch to detailed view quick enough, you will
see that there is some text that disappears when the "INIT: ..." line
is written (it looks like that happens twice, some text is overriden
by other text, and then the "INIT" line comes along and overrides that
second text).
Comment 3 Carlos Rodrigues 2004-11-28 21:13:37 EST
Ok, I've confirmed it. The following text is all written to the same line:

Mounting local filesystems:        [ OK ]
Mounting filesystem quotas:        [ OK ]
Enabling swap space:               [ OK ]
INIT: Entering runlevel: 5

The text that is overwritten is by no means critical, however, nothing
guarantees that other text may not be affected by this same problem.
Comment 4 Barry K. Nathan 2004-11-29 02:38:05 EST
If I'm not mistaken, rhgb uses vte to display text. IIRC there's at
least one text corruption bug fixed in fc-devel's vte. It would be
interesting to know if the problem still happens with that version of vte.
Comment 5 Carlos Rodrigues 2004-11-29 17:09:34 EST
I installed vte-0.11.11-15 and the problem remains.
Comment 6 Matthew Miller 2006-07-10 17:41:15 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Pat Gunn 2006-07-13 14:38:41 EDT
Still an issue in FC5. Bugzilla won't let me change the bug to point at FC3
Comment 8 Pat Gunn 2006-07-13 14:39:41 EDT
Oops, I mean it won't let me change the version
Comment 9 Matthew Miller 2006-07-13 14:48:02 EDT
Thanks for checking. I'll update the version.
Comment 10 Matthew Miller 2006-07-13 14:48:54 EDT
clearing needinfo bit.
Comment 11 petrosyan 2008-03-10 01:22:57 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 12 Ray Strode [halfline] 2008-03-18 14:33:58 EDT
Hi,

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.